{% load i18n %}
{% load gravatar %}
{% load hk_generic %}
{% load tz %}

{% is_message_new email.date as is_new %}
<div class="email{% if unfolded %} email-first{% endif %}{% if is_new %} unread{% endif %}">

    <div id="{{email.message_id_hash}}" class="email-header">
        <div class="gravatar-wrapper">
            <div class="gravatar">
                {% gravatar email.sender.address 120 %}
            </div>
            <div class="email-author">
                <span class="name">
                    {% if email.sender.mailman_id %}
                    <a href="{% url 'hk_public_user_profile' user_id=email.sender.mailman_id %}"
                       title="{% blocktrans with name=email.sender.name|escapeemail|escape %}See the profile for {{ name }}{% endblocktrans %}"
                       >{{email.sender.name|default:"(no name)"|escapeemail}}</a>
                    {% else %}
                       {{email.sender.name|default:"(no name)"|escapeemail}}
                    {% endif %}
                </span>
                {% if use_mockups %}
                <br>
                <span class="rank">{% trans "Rank 8" %}</span>
                {% endif %}
            </div>
        </div>
        {% if is_new %}
        <div class="right">
            <i class="fa fa-envelope" title="{% trans 'Unread' %}"></i>
        </div>
        {% endif %}
        <div class="email-date right">
            {% ifchanged %}
            <span class="date hidden-tn">
                {{email.date|date:"l, j F"}}
                {% if unfolded %}
                    {{email.date|date:"Y"}}
                {% endif %}
            </span>
            <span class="date hidden-xs hidden-sm hidden-md hidden-lg">
                {{email.date|date:"D, j M"}}
                {% if unfolded %}
                '{{email.date|date:"y"}}
                {% endif %}
            </span>
            {% endifchanged %}
            <div class="time">
                <span title="{% trans "Sender's time:" %} {% localtime off %}{{email|date_with_senders_timezone|date:'DATETIME_FORMAT'}}{% endlocaltime %}">{{email.date|time:"TIME_FORMAT"}}</span>
            </div>

        </div>
        <div class="messagelink right">
            (<a href="{% url 'hk_message_index' mlist_fqdn=email.mailinglist.name message_id_hash=email.message_id_hash %}"
                title="{{ email.subject }}">{% trans "permalink" %}</a>)
        </div>

        {% if email.changed_subject %}
        <div class="subject">
            New subject: {{ email.changed_subject }}
        </div>
        {% endif %}

    </div> <!-- /email-header: gravatar, author-info, date, peramlink, changed_subject -->

    <div class="email-body {% if email.display_fixed %}fixed{% endif %}">
        {{ email.content|snip_quoted|snip_pgp|wordwrap:90|urlizetrunc:76|escapeemail }}
    </div>

    {% if unfolded and email.attachments.count %}
    <div class="attachments">
        <p class="attachments">{% trans "Attachments:" %}</p>
        <ul class="attachments-list list-unstyled">
        {% for attachment in email.attachments.all %}
            <li><a href="{% url 'hk_message_attachment' mlist_fqdn=email.mailinglist.name message_id_hash=email.message_id_hash counter=attachment.counter filename=attachment.name %}">{{attachment.name}}</a>
                ({{attachment.content_type}} &mdash; {{attachment.size|filesizeformat}})
            </li>
        {% endfor %}
        </ul>
    </div>
    {% endif %}

    <div class="email-info">
        <div class="likeform-wrapper right">
            {% include "hyperkitty/fragments/like_form.html" with message_id_hash=email.message_id_hash object=email %}
        </div>

        <!-- Reply link -->
        {% if user.is_authenticated %}
        <a class="reply" href="#">
            <i class="fa fa-reply"></i>
            {% trans "Reply" %}
        </a>
        {% else %}
        <a class="reply reply-mailto" title="{% trans 'Login to reply online' %}"
           href="mailto:{{ email.mailinglist.name }}?Subject={{ email.subject|reply_subject|urlencode }}&amp;In-Reply-To=&lt;{{ email.message_id|urlencode }}&gt;">
            <i class="fa fa-reply"></i>
            {% trans "Reply" %}
        </a>
        {% endif %}

        <!-- Attachments -->
        {% if not unfolded and email.attachments.count %}
        <div class="attachments dropdown">
            <a class="attachments" data-toggle="dropdown" href="#">
                {% blocktrans count attachments=email.attachments.count %}
                {{ email.attachments.count }} attachment
                {% plural %}
                {{ email.attachments.count }} attachments
                {% endblocktrans %}
                <span class="caret"></span>
                <!-- <i class="fa fa-caret-right"></i> -->
            </a>
            <ul class="attachments-list list-unstyled dropdown-menu">
            {% for attachment in email.attachments.all %}
                <li><a href="{% url 'hk_message_attachment' mlist_fqdn=email.mailinglist.name message_id_hash=email.message_id_hash counter=attachment.counter filename=attachment.name %}"
                        title="{{attachment.content_type|escape}}, {{attachment.size|filesizeformat}}"
                        >{{attachment.name}}
                    </a>
                </li>
            {% endfor %}
            </ul>
        </div>
        {% endif %}

        <!-- Reply form -->
        {% if user.is_authenticated %}
        <div class="reply-form dropdown">
            <form method="post" enctype="multipart/form-data"
                  action="{% url 'hk_message_reply' mlist_fqdn=email.mailinglist.name message_id_hash=email.message_id_hash %}">
                {% csrf_token %}
                <ul class="list-inline reply-tools">
                    <li><a class="btn btn-sm btn-default quote" href="#">{% trans "Quote" %}</a></li>
                    <li class="checkbox"><label>{{ reply_form.newthread }} {% trans "Create new thread" %}</label></li>
                    <li><a class="btn btn-sm btn-default reply-mailto"
                       href="mailto:{{ email.mailinglist.name }}?Subject={{ email.subject|reply_subject|urlencode }}&amp;In-Reply-To=&lt;{{ email.message_id|urlencode }}&gt;"
                       >{% trans 'Use email software' %}</a></li>
                </ul>
                {{ reply_form.non_field_errors }}

                <p>{{ reply_form.subject }} {{ reply_form.subject.errors}}</p>
                <p>{{ reply_form.message }} {{ reply_form.message.errors}}</p>

                {% include "hyperkitty/fragments/send_as.html" with form=reply_form %}

                <p class="buttons">
                    <button type="submit" class="submit btn btn-primary">{% trans "Send" %}</button>
                    {% trans "or" %} <a class="cancel" href="#">{% trans "cancel" %}</a>
                </p>
            </form>
        </div>
        {% endif %}

    </div>

</div>
